# ATBooleanOrDerived Class Reference

`#include <ATBooleanOrDerived.hpp>`

Inheritance diagram for ATBooleanOrDerived:

[legend]
List of all members.

## Public Types

typedef RefCountPointer< const ATBooleanOrDerived > | Ptr

## Public Member Functions

virtual const XMLCh * | getPrimitiveTypeName () const =0
virtual const XMLCh * | getTypeURI () const =0
virtual const XMLCh * | getTypeName () const =0
virtual const XMLCh * | asString (const DynamicContext *context) const =0
virtual bool | equals (const AnyAtomicType::Ptr &target, const DynamicContext *context) const =0
virtual int | compare (const ATBooleanOrDerived::Ptr &other, const DynamicContext *context) const =0
| Returns less than 0 if this is less that other, 0 if they are the same, and greater than 0 otherwise.
virtual bool | isTrue () const =0
virtual bool | isFalse () const =0
virtual AnyAtomicType::AtomicObjectType | getPrimitiveTypeIndex () const =0

## Member Typedef Documentation

typedef RefCountPointer<const ATBooleanOrDerived> ATBooleanOrDerived::Ptr

| Reimplemented from AnyAtomicType.

## Member Function Documentation

virtual const XMLCh* ATBooleanOrDerived::asString | ( | const DynamicContext * | context | ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual int ATBooleanOrDerived::compare | ( | const ATBooleanOrDerived::Ptr & | other,
|  | const DynamicContext * | context
| ) | const`[pure virtual]`

| Returns less than 0 if this is less that other, 0 if they are the same, and greater than 0 otherwise.

virtual bool ATBooleanOrDerived::equals | ( | const AnyAtomicType::Ptr & | target,
|  | const DynamicContext * | context
| ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual AnyAtomicType::AtomicObjectType ATBooleanOrDerived::getPrimitiveTypeIndex | ( |  | ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual const XMLCh* ATBooleanOrDerived::getPrimitiveTypeName | ( |  | ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual const XMLCh* ATBooleanOrDerived::getTypeName | ( |  | ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual const XMLCh* ATBooleanOrDerived::getTypeURI | ( |  | ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual bool ATBooleanOrDerived::isFalse | ( |  | ) | const`[pure virtual]`

virtual bool ATBooleanOrDerived::isTrue | ( |  | ) | const`[pure virtual]`

The documentation for this class was generated from the following file:

- ATBooleanOrDerived.hpp